icecc-create-env(1)

NAME
icecc-create-env - Create an Icrecream environment tarball

SYNOPSIS
\FCicecc-create-env\F[]
compiler-binary [--addfile file]...

DESCRIPTION
icecc-create-env is an Icecream helper that creates a new \FC.tar.gz\F[] archive with all the files (compiler, tools and libraries) needed to setup a build environment.

The resulting archive has a random file name like \FCddaea39ca1a7c88522b185eca04da2d8.tar.gz\F[], which can then be renamed. See icecream(7) for more information on using the environment tarballs.

Note that in the usual case it is not necessary to invoke icecc-create-env manually, as it will be called automatically for the native compiler used whenever necessary.

OPTIONS

\FC--addfile\F[] \FCfile\F[]
    Add file to the environment archive; can be specified multiple times.

SEE ALSO
icecream(7), icecc-scheduler(1), iceccd(1)

AUTHOR
Pino Toscano